import okhttp3.Interceptor
import okhttp3.Response
import android.util.Log

class LoggingInterceptor : Interceptor {
    override fun intercept(chain: Interceptor.Chain): Response {
        val request = chain.request()
        Log.d("LoggingInterceptor", "Sending request to ${request.url} with headers ${request.headers}")

        val response = chain.proceed(request)

        Log.d("LoggingInterceptor", "Received response for ${response.request.url} with code ${response.code}")
        return response
    }
}